Debian Bug report logs - #575661
[checks/manpages] manpage-has-errors for multibyte issue on col must be skipped

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: bremner@unb.ca

Date: Sun, 28 Mar 2010 01:15:01 UTC

Severity: normal

Tags: moreinfo, patch

Found in version lintian/2.3.4

Fixed in version 2.4.3

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#575661; Package lintian. (Sun, 28 Mar 2010 01:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sun, 28 Mar 2010 01:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: manpage-has-errors-from-man "Invalid or incomplete multibyte or wide character" when OK.
Date: Sun, 28 Mar 2010 10:12:19 +0900
Package: lintian
Version: 2.3.4
Severity: normal

I think lintian is wrong in testing encoding issue for manapage.  I have
installed hello-debhelper (2.5-1).  then I downloaded its binary package
hello-debhelper_2.5-1_amd64.deb and extracted to hello.1 into a working
directry.  

In short, instead of using complicated test, it should use iconv for encoding
test.

Let me show this problem.

First hello-debhelper package installed manpage shows OK under both
LANG=C and LANG=en_US.UTF-8.  I tested it with
 $ LANG=C man hello
 $ LANG=en_US.UTF-8 man hello

The only difference is copyright line.  LANG=C shows copuright as (C)
while UTF-8 uses fancy ©.  No problem.

But

$ lintian -i hello-debhelper_2.5-1_amd64.deb 
W: hello-debhelper: manpage-has-errors-from-man usr/share/man/man1/hello.1.gz  Invalid or incomplete multibyte or wide character
N: 
N:    This man page provokes warnings or errors from man.
N:    
N:    "cannot adjust" or "can't break" are trouble with paragraph filling,
N:    usually related to long lines. Adjustment can be helped by left
N:    justifying, breaks can be helped with hyphenation, see "Manipulating
N:    Filling and Adjusting" and "Manipulating Hyphenation" in the manual.
N:    
N:    "can't find numbered character" usually means latin1 etc in the input,
N:    and this warning indicates characters will be missing from the output.
N:    You can change to escapes like \[:a] described on the groff_char man
N:    page.
N:    
N:    Other warnings are often formatting typos, like missing quotes around a
N:    string argument to .IP. These are likely to result in lost or malformed
N:    output. See the groff_man (or groff_mdoc if using mdoc) man page for
N:    information on macros.
N:    
N:    This test uses man's --warnings option to enable groff warnings that
N:    catch common mistakes, such as putting . or ' characters at the start of
N:    a line when they are intended as literal text rather than groff
N:    commands. This can be fixed either by reformatting the paragraph so that
N:    these characters are not at the start of a line, or by adding a
N:    zero-width space (\&) immediately before them.
N:    
N:    At worst, warning messages can be disabled with the .warn directive, see
N:    "Debugging" in the groff manual.
N:    
N:    To test this for yourself you can use the following command:
N:     LANG=C MANWIDTH=80 man --warnings -E UTF-8 -l manpage-file >/dev/null
N:    
N:    Severity: normal, Certainty: certain
N:
$ LANG=C MANWIDTH=80 man --warnings -E UTF-8 -l hello.1 >hello.txt
col: Invalid or incomplete multibyte or wide character
$ iconv -f utf8 -t utf8 hello.1 >/dev/null && echo "UTF-8 compatible" || echo "non-UTF-8 found"
UTF-8 compatible
$ iconv -f ascii -t ascii hello.1 >/dev/null && echo "ascii compatible" || echo "non-ascii found"
ascii compatible

The first test is the one used by lintian.  Second and third test is mine to
check encoding of source code itself.

$ LANG=C           MANWIDTH=80 man --warnings          -l hello.1 >hello.c.txt
$ LANG=en_US.UTF-8 MANWIDTH=80 man --warnings -E UTF-8 -l hello.1 >hello.u.txt
$ LANG=C           MANWIDTH=80 man --warnings -E UTF-8 -l hello.1 >hello.cu.txt
col: Invalid or incomplete multibyte or wide character
$ ls -l hello.*.txt
-rw-rw-r-- 1 osamu osamu 1417 Mar 28 09:21 hello.c.txt
-rw-rw-r-- 1 osamu osamu    0 Mar 28 09:53 hello.cu.txt
-rw-rw-r-- 1 osamu osamu 1418 Mar 28 09:21 hello.u.txt
$ diff -u hello.*.txt
--- hello.c.txt 2010-03-28 09:21:07.000000000 +0900
+++ hello.u.txt 2010-03-28 09:21:26.000000000 +0900
@@ -32,7 +32,7 @@
        General help using GNU software: <http://www.gnu.org/gethelp/>

 COPYRIGHT
-       Copyright  (C) 2010 Free Software Foundation, Inc.  License GPLv3+: GNU
+       Copyright  ©  2010  Free Software Foundation, Inc.  License GPLv3+: GNU
        GPL version 3 or later <http://gnu.org/licenses/gpl.html>
        This is free software: you are free  to  change  and  redistribute  it.
        There is NO WARRANTY, to the extent permitted by law.

The corresponding groff source has "\co" as in

Copyright \(co 2010 Free Software Foundation, Inc.

This is embedded nroff which is handled OK for both locale.

So the situation is clear.  There is no non-ASCII code in the source of
manpage.  Its manpage can be interpretted proprly with current tool set.

But test used by lintian breaks on groff copyright mark code.

I made hellox.1 in which "\co" is replaced with UTF-8 "©".  This is real error :-)

$ iconv -f ascii -t ascii hellox.1 >/dev/null && echo "ascii compatible" || echo "non-ascii found"
iconv: illegal input sequence at position 828
non-ascii found
$ iconv -f utf8 -t utf8 hellox.1 >/dev/null && echo "UTF-8 compatible" || echo "non-UTF-8 found"
UTF-8 compatible
$ LANG=C           MANWIDTH=80 man --warnings -E UTF-8 -l hellox.1 >hellox.cu.txt
col: Invalid or incomplete multibyte or wide character
$ LANG=en_US.UTF-8 MANWIDTH=80 man --warnings -E UTF-8 -l hellox.1 >hellox.u.txt
$ LANG=C           MANWIDTH=80 man --warnings          -l hellox.1 >hellox.c.txt
$ ls -l hellox.*.txt
-rw-rw-r-- 1 osamu osamu 1417 Mar 28 10:03 hellox.c.txt
-rw-rw-r-- 1 osamu osamu    0 Mar 28 10:02 hellox.cu.txt
-rw-rw-r-- 1 osamu osamu 1418 Mar 28 10:03 hellox.u.txt
$ diff -u hellox.c.txt hellox.u.txt
--- hellox.c.txt        2010-03-28 10:03:28.000000000 +0900
+++ hellox.u.txt        2010-03-28 10:03:12.000000000 +0900
@@ -32,7 +32,7 @@
        General help using GNU software: <http://www.gnu.org/gethelp/>
 
 COPYRIGHT
-       Copyright  (C) 2010 Free Software Foundation, Inc.  License GPLv3+: GNU
+       Copyright  ©  2010  Free Software Foundation, Inc.  License GPLv3+: GNU
        GPL version 3 or later <http://gnu.org/licenses/gpl.html>
        This is free software: you are free  to  change  and  redistribute  it.
        There is NO WARRANTY, to the extent permitted by law.

groff is smart enough to de-UTF-8 from "©" to "(C)".

Simple iconv test detects error.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages lintian depends on:
ii  binutils               2.20.1-3          The GNU assembler, linker and bina
ii  diffstat               1.47-1            produces graph of changes introduc
ii  dpkg-dev               1.15.5.6          Debian package development tools
ii  file                   5.04-1            Determines file type using "magic"
ii  gettext                0.17-10           GNU Internationalization utilities
ii  intltool-debian        0.35.0+20060710.1 Help i18n of RFC822 compliant conf
ii  libapt-pkg-perl        0.1.24            Perl interface to libapt-pkg
ii  libclass-accessor-perl 0.34-1            Perl module that automatically gen
ii  libipc-run-perl        0.84-1            Perl module for running processes
ii  libparse-debianchangel 1.1.1-2           parse Debian changelogs and output
ii  libtimedate-perl       1.2000-1          collection of modules to manipulat
ii  liburi-perl            1.53-1            module to manipulate and access UR
ii  locales-all [locales]  2.10.2-6          Embedded GNU C Library: Precompile
ii  man-db                 2.5.7-2           on-line manual pager
ii  perl [libdigest-sha-pe 5.10.1-11         Larry Wall's Practical Extraction 

lintian recommends no packages.

Versions of packages lintian suggests:
pn  binutils-multiarch            <none>     (no description available)
pn  libtext-template-perl         <none>     (no description available)
ii  man-db                        2.5.7-2    on-line manual pager

-- no debconf information




Changed Bug title to '[checks/manpages] manpage-has-errors could be improved using iconv' from 'lintian: manpage-has-errors-from-man "Invalid or incomplete multibyte or wide character" when OK.' Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 03 Apr 2010 16:12:04 GMT) Full text and rfc822 format available.

Changed Bug title to '[checks/manpages] manpage-has-errors for multibyte issue on col must be skipped' from '[checks/manpages] manpage-has-errors could be improved using iconv' Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Sat, 10 Apr 2010 07:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#575661; Package lintian. (Sat, 10 Apr 2010 07:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sat, 10 Apr 2010 07:18:05 GMT) Full text and rfc822 format available.

Message #14 received at 575661@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Debian Bug Tracking System <575661@bugs.debian.org>
Cc: control@bugs.debian.org
Subject: lintian: Fix to col command error
Date: Sat, 10 Apr 2010 16:03:03 +0900
[Message part 1 (text/plain, inline)]
Package: lintian
Version: 2.3.4
Severity: normal
Tags: patch

Since this test should work in all environment, I think whoever created
this test must have chosen LANG=C with reason.  I am not even sure if
en_US.UTF-8 exists in the test environment.

Then I also realized there are manpages in many old encodings and they
need to be tested by this script.  Testing for the good UTF-8-ness is
not the right choice (although I suggested so in the previous report.)

So the right thing to do is like other exceptions given in the code.

Please apply attached patch to /usr/share/lintian/checks/manpages
(of course in source file as lintian-2.3.4/checks/manpages)

Osamu

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages lintian depends on:
ii  binutils               2.20.1-5          The GNU assembler, linker and bina
ii  diffstat               1.47-1            produces graph of changes introduc
ii  dpkg-dev               1.15.5.6          Debian package development tools
ii  file                   5.04-2            Determines file type using "magic"
ii  gettext                0.17-10           GNU Internationalization utilities
ii  intltool-debian        0.35.0+20060710.1 Help i18n of RFC822 compliant conf
ii  libapt-pkg-perl        0.1.24            Perl interface to libapt-pkg
ii  libclass-accessor-perl 0.34-1            Perl module that automatically gen
ii  libipc-run-perl        0.89-1            Perl module for running processes
ii  libparse-debianchangel 1.1.1-2           parse Debian changelogs and output
ii  libtimedate-perl       1.2000-1          collection of modules to manipulat
ii  liburi-perl            1.54-1            module to manipulate and access UR
ii  locales-all [locales]  2.10.2-6          Embedded GNU C Library: Precompile
ii  man-db                 2.5.7-2           on-line manual pager
ii  perl [libdigest-sha-pe 5.10.1-11         Larry Wall's Practical Extraction 

lintian recommends no packages.

Versions of packages lintian suggests:
pn  binutils-multiarch            <none>     (no description available)
pn  libtext-template-perl         <none>     (no description available)
ii  man-db                        2.5.7-2    on-line manual pager

-- no debconf information

-- debsums errors found:
debsums: changed file /usr/share/lintian/checks/manpages (from lintian package)i

Yes, I tested my patch :-)
I overrote this file with the fixed file (see attached patch)
[manpages.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Sat, 10 Apr 2010 08:12:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#575661; Package lintian. (Sat, 10 Apr 2010 14:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sat, 10 Apr 2010 14:48:07 GMT) Full text and rfc822 format available.

Message #21 received at 575661@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Osamu Aoki <osamu@debian.org>
Cc: 575661@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#575661: lintian: Fix to col command error
Date: Sat, 10 Apr 2010 07:43:39 -0700
Osamu Aoki <osamu@debian.org> writes:

> Since this test should work in all environment, I think whoever created
> this test must have chosen LANG=C with reason.  I am not even sure if
> en_US.UTF-8 exists in the test environment.

Lintian guarantees that en_US.UTF-8 exists.

> Then I also realized there are manpages in many old encodings and they
> need to be tested by this script.  Testing for the good UTF-8-ness is
> not the right choice (although I suggested so in the previous report.)

> So the right thing to do is like other exceptions given in the code.

> Please apply attached patch to /usr/share/lintian/checks/manpages
> (of course in source file as lintian-2.3.4/checks/manpages)

My understanding of how man is supposed to work with character encodings
says that we should not need to be doing things like this.  I've been
hoping Colin would weigh in on this bug, though, since he knows way more
about what's going on here than I do.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#575661; Package lintian. (Sat, 10 Apr 2010 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sat, 10 Apr 2010 15:12:03 GMT) Full text and rfc822 format available.

Message #26 received at 575661@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 575661@bugs.debian.org
Subject: Re: Bug#575661: lintian: Fix to col command error
Date: Sun, 11 Apr 2010 00:09:24 +0900
On Sat, Apr 10, 2010 at 07:43:39AM -0700, Russ Allbery wrote:
> Osamu Aoki <osamu@debian.org> writes:
> 
> > Since this test should work in all environment, I think whoever created
> > this test must have chosen LANG=C with reason.  I am not even sure if
> > en_US.UTF-8 exists in the test environment.
> 
> Lintian guarantees that en_US.UTF-8 exists.

Thanks fo confirming this.  (Some code looked like so.)
 
> > Then I also realized there are manpages in many old encodings and they
> > need to be tested by this script.  Testing for the good UTF-8-ness is
> > not the right choice (although I suggested so in the previous report.)
> 
> > So the right thing to do is like other exceptions given in the code.
> 
> > Please apply attached patch to /usr/share/lintian/checks/manpages
> > (of course in source file as lintian-2.3.4/checks/manpages)
> 
> My understanding of how man is supposed to work with character encodings
> says that we should not need to be doing things like this.  I've been
> hoping Colin would weigh in on this bug, though, since he knows way more
> about what's going on here than I do.

The current check code seemed to run on all manpages with different
encoding.  So using UTF-8 is not soulution either.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#575661; Package lintian. (Sat, 10 Apr 2010 15:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sat, 10 Apr 2010 15:21:06 GMT) Full text and rfc822 format available.

Message #31 received at 575661@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Osamu Aoki <osamu@debian.org>
Cc: 575661@bugs.debian.org
Subject: Re: Bug#575661: lintian: Fix to col command error
Date: Sat, 10 Apr 2010 08:15:57 -0700
Osamu Aoki <osamu@debian.org> writes:
> On Sat, Apr 10, 2010 at 07:43:39AM -0700, Russ Allbery wrote:

>> My understanding of how man is supposed to work with character
>> encodings says that we should not need to be doing things like this.
>> I've been hoping Colin would weigh in on this bug, though, since he
>> knows way more about what's going on here than I do.

> The current check code seemed to run on all manpages with different
> encoding.  So using UTF-8 is not soulution either.

man is supposed to transcode man pages in other encodings to UTF-8 if the
locale is UTF-8, isn't it?

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#575661; Package lintian. (Sat, 10 Apr 2010 15:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sat, 10 Apr 2010 15:36:07 GMT) Full text and rfc822 format available.

Message #36 received at 575661@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 575661@bugs.debian.org
Subject: Re: Bug#575661: lintian: Fix to col command error
Date: Sun, 11 Apr 2010 00:31:20 +0900
On Sat, Apr 10, 2010 at 08:15:57AM -0700, Russ Allbery wrote:
> Osamu Aoki <osamu@debian.org> writes:
> > On Sat, Apr 10, 2010 at 07:43:39AM -0700, Russ Allbery wrote:
> 
> >> My understanding of how man is supposed to work with character
> >> encodings says that we should not need to be doing things like this.
> >> I've been hoping Colin would weigh in on this bug, though, since he
> >> knows way more about what's going on here than I do.
> 
> > The current check code seemed to run on all manpages with different
> > encoding.  So using UTF-8 is not soulution either.
> 
> man is supposed to transcode man pages in other encodings to UTF-8 if the
> locale is UTF-8, isn't it?

My mind is melting ...  You are right.  Then LANG=en_US.UTF-8 seems to
be right solution.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#575661; Package lintian. (Sat, 10 Apr 2010 15:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sat, 10 Apr 2010 15:36:09 GMT) Full text and rfc822 format available.

Message #41 received at 575661@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Osamu Aoki <osamu@debian.org>
Cc: 575661@bugs.debian.org
Subject: Re: Bug#575661: lintian: Fix to col command error
Date: Sat, 10 Apr 2010 08:33:47 -0700
Osamu Aoki <osamu@debian.org> writes:

> My mind is melting ...  You are right.  Then LANG=en_US.UTF-8 seems to
> be right solution.

Yeah, that's my suspicion too, and I think the LANG=C part predates the
inclusion of a locale in Lintian.  Hopefully it won't cause other issues.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#575661; Package lintian. (Wed, 26 May 2010 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Schubert <bernd.schubert@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Wed, 26 May 2010 15:24:03 GMT) Full text and rfc822 format available.

Message #46 received at 575661@bugs.debian.org (full text, mbox):

From: Bernd Schubert <bernd.schubert@fastmail.fm>
To: 575661@bugs.debian.org
Subject: manpage-has-errors for multibyte issue on col must be skipped
Date: Wed, 26 May 2010 17:20:53 +0200
Hello, 

could you please tell me what is the outcome of this bug report?

Lintian reports for my unionfs-fuse:

W: unionfs-fuse: manpage-has-errors-from-man usr/share/man/man8/unionfs-fuse.8.gz  Invalid or incomplete multibyte or wide character 

[...]

N:    To test this for yourself you can use the following command:
N:     LANG=C MANWIDTH=80 man --warnings -E UTF-8 -l manpage-file >/dev/null


But

bernd@sid32@bathl:~/src/unionfs-fuse/debian_commit$ LANG=C MANWIDTH=80 man --warnings= -E UTF-8 -l unionfs-fuse-0.24/man/unionfs-fuse.8  
>/dev/null
bernd@sid32@bathl:~/src/unionfs-fuse/debian_commit$


So I don't see what should be wrong with that man page.


Thanks,
Bernd




Added tag(s) pending. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 28 Jun 2010 00:27:03 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Mon, 28 Jun 2010 05:33:05 GMT) Full text and rfc822 format available.

Notification sent to Osamu Aoki <osamu@debian.org>:
Bug acknowledged by developer. (Mon, 28 Jun 2010 05:33:05 GMT) Full text and rfc822 format available.

Message #53 received at 575661-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 575661-close@bugs.debian.org
Subject: Bug#575661: fixed in lintian 2.4.2
Date: Mon, 28 Jun 2010 05:32:09 +0000
Source: lintian
Source-Version: 2.4.2

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_2.4.2.dsc
  to main/l/lintian/lintian_2.4.2.dsc
lintian_2.4.2.tar.gz
  to main/l/lintian/lintian_2.4.2.tar.gz
lintian_2.4.2_all.deb
  to main/l/lintian/lintian_2.4.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575661@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Jun 2010 22:08:59 -0700
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.4.2
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 lintian    - Debian package checker
Closes: 575661 580082 580494 580700 581314 582353 582741 582804 583555 584743 586877 586984 587209
Changes: 
 lintian (2.4.2) unstable; urgency=low
 .
   The "Policy 3.9.0" release.
 .
   * Summary of tag changes:
     + Added:
       - arch-wildcard-in-binary-package
       - bad-provided-package-name
       - conflicts-with-version
       - copyright-refers-to-deprecated-bsd-license-file
       - init.d-script-depends-on-unknown-virtual-facility
       - team-upload-has-incorrect-version-number
       - xc-package-type-in-debian-control (pedantic)
     + Removed:
       - arch-any-in-binary-pkg (now in arch-wildcard-in-binary-package)
       - package-type-in-debian-control
 .
   * checks/changes-file.desc:
     + [RA] Add references for file-size-mismatch-in-changes-file and
       checksum-mismatch-in-changes-file.
   * checks/control-file{,.desc}:
     + [RA] Remove package-type-in-debian-control now that dpkg-dev handles
       it as desired by the d-i team.  xc-package-type-in-debian-control
       replaces it as a pedantic check to encourage switching to the
       official name.  Thanks, Raphael Hertzog.
     + [RA] Add reference for debian-control-with-duplicate-fields.
   * checks/copyright-file{,.desc}:
     + [RA] Deprecate references to /usr/share/common-licenses/BSD in
       debian/copyright following the change in Policy 3.8.5.
   * checks/fields{,.desc}:
     + [RA] Allow Breaks without a version if the broken package is a
       virtual package.
     + [RG] Check for invalid package names in provided (virtual)
       packages.
     + [RG] Exclude dash from the depends-on-essential-package checks, as
       per discusion in debian-devel.  (Closes: #587209)
     + [RA] Allow architecture wildcards in build relations and in the
       Architecture field of binary and source packages.  (Closes: #582804)
     + [RA] Rename arch-any-in-binary-pkg to arch-wildcard-in-binary-package
       and diagnose any architecture wildcard, not just "any".
     + [RA] Warn of using Conflicts with a version, which should normally
       be Breaks instead, but only at wild-guess certainty for now.
   * checks/huge-usr-share{,.desc}:
     + [RA] Count file size from the tar listing rather than using du.  The
       results of du vary based on file system and other factors and make
       the tag difficult to test.
   * checks/init.d{,.desc}:
     + [RG] Check for init.d scripts depending on unknown virtual
       facilities.
     + [RA] Remove checkroot from the list of scripts that should use a
       virtual dependency since $local_fs is not quite the same and some
       packages (cryptsetup) care about the difference.  (Closes: #580082)
   * checks/manpages{,.desc}:
     + [RA] Run man page checks using the en_US.UTF-8 locale now that we
       guarantee it exists.  Should hopefully fix occasional problems with
       col complaining about bad multibyte characters.  (Closes: #575661)
   * checks/menu-format.desc:
     + [RA] Fix typo in long description of duplicated-key-in-desktop-entry.
       Thanks, Niels Thykier.  (Closes: #580700)
   * checks/menus:
     + [RG] Recognise call to update-menus when using 'exec.'
     + [RA] Skip Haskell library documentation when warning about
       documentation not registered with doc-base.  Patch from Erik de
       Castro Lopo.  (Closes: #586877)
   * checks/nmu{,.desc}:
     + [RA] Recognize team uploads and do not treat them like NMUs.  Patch
       from Charles Plessy.  (Closes: #582741)
   * checks/rules.desc:
     + [RA] Add reference for debian-rules-makemaker-prefix-is-deprecated.
   * checks/scripts:
     + [RG] Correctly handle variables at the beginning of a call to
       dpkg-divert.  Thanks, Andreas Beckmann.  (Closes: #586984)
 .
   * collection/objdump-info:
     + [RG] Disable etch compatibility code.
   * collection/strings:
     + [RG] Correctly handle ELF binaries with whitespaces in their name.
       (LP: #540342)
 .
   * data/fields/architectures:
     + [RG] Refresh against dpkg 1.15.7.2.  (Closes: #581314, #584743)
   * data/fields/virtual-packages:
     + [RA] Update to current unstable and add the old xserver-xorg video
       and input virtual packages.
   * data/files/locale-codes:
     + [RG] Refresh to reflect change to private/refresh-locale-codes.
   * data/files/triplets:
     + [RG] Refresh against dpkg 1.15.7.2.
   * data/init.d/virtual_facilities
     + [RG] New list of virtual facilities that exist in the archive.
   * data/output/ftp-master-fatal:
     + [RA] Remove arch-any-in-binary-pkg.
   * data/output/manual-references:
     + [RA] Update against latest Debian Policy and devref.
   * data/spelling/corrections:
     + [RG] Add more spelling corrections.
   * data/spelling/corrections-case:
     + [RG] Add capitalization correction for OAuth.  (Closes: #582353)
   * data/standards-version/release-dates:
     + [RA] Add Debian Policy 3.9.0.
 .
   * frontend/lintian:
     + [RA] Set a PATH of /bin:/usr/bin if PATH is completely unset.
       Thanks, Carsten Hey.
 .
   * lib/Lintian/Collect/Binary.pm:
     + [RG] Correctly handle ELF binaries with whitespaces in their name.
   * lib/Lintian/Relation.pm:
     + [RA] Rather than allowing only a package name or a substvar, allow
       substvars mixed into the package name.  (Closes: #580494)
   * lib/Lintian/Schedule.pm:
     + [ADB] Add missing "use Lintian::Output", required for the use of
       warning().  (Closes: #583555)
 .
   * private/refresh-insserv-data:
     + [RG] New script to collect insserv data from the archive.
   * private/refresh-locale-codes:
     + [RG] Print elements with values only once.
   * private/refresh-virtual-packages-data:
     + [RA] Fix handling of # Keep: lines to work correctly now that
       virtual packages mentioned only once are excluded.
Checksums-Sha1: 
 f1fe4d66f02096524586e714157251b9e88b05e1 1213 lintian_2.4.2.dsc
 d961ffb26d9ed955cc32bd820665c93d6afc57cd 843416 lintian_2.4.2.tar.gz
 dd6690dc41063019098ccb09d6e255cc184eccc3 548716 lintian_2.4.2_all.deb
Checksums-Sha256: 
 3e60442a2433e706784df1530db70a2418645750c0f671e3e5341c3e008c0343 1213 lintian_2.4.2.dsc
 775d3645d1e6a351c823b785ee48d4b43409bc7a90ad92fabf3fbcc9cddfc158 843416 lintian_2.4.2.tar.gz
 c8dc5194e6618ec3a89cc695a4b64d0a5989c97805ab20985ad621b33422fcc9 548716 lintian_2.4.2_all.deb
Files: 
 897fad4087c11ffe2e5ca2fd138337e2 1213 devel optional lintian_2.4.2.dsc
 68d8479e1ce8db8d5bb438eae94c23cb 843416 devel optional lintian_2.4.2.tar.gz
 75779ce4b3e704cb966434fcf0d2c5eb 548716 devel optional lintian_2.4.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwoL4AACgkQ+YXjQAr8dHZJFACfVVjRPXy97iMmLbdyy+DLFF6O
W7QAoMjUacjvBVVXCrmqTW4GaJoDD+jk
=w6Tz
-----END PGP SIGNATURE-----





Changed Bug submitter to 'bremner@unb.ca' from 'Osamu Aoki <osamu@debian.org>' Request was from David Bremner <bremner@unb.ca> to control@bugs.debian.org. (Mon, 05 Jul 2010 23:24:03 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions lintian/2.4.2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Jul 2010 23:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#575661; Package lintian. (Sat, 24 Jul 2010 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sat, 24 Jul 2010 16:18:03 GMT) Full text and rfc822 format available.

Message #62 received at 575661@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 575661@bugs.debian.org, bremner@unb.ca
Cc: control@bugs.debian.org
Subject: Re: [checks/manpages] manpage-has-errors for multibyte issue on col must be skipped?
Date: Sun, 25 Jul 2010 01:14:49 +0900
tags 575661 moreinfo
thanks

Hi,

It looks like you reopened this bug originally filed by me.

It felt to me this my bug is closed in my environment.  (I must confess I
did not do much test...)

For people wondering, please see the URL:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=55;bug=575661

David, can you clarify what is your problem and why reopend this.

I failed to understand:
| In a sid chroot I can only get a warning from man if the en_US.utf8 is
| not installed (via dpkg-reconfigure locales) in the chroot.

FYI:
The example script printed by lintian needs en_US.utf8.  Lintian is
smart enough to use a bit more elaborate scheme so it does not require
en_US.utf8.  But documenting such details was considered to destruct key
message.  Thus simple command is written as document.

Did lintian really complained?

Did you typed "... man --warnings ..." commands in non en_US.utf8.

If it is the latter, please close this reopen since this s user error.

Osamu





Added tag(s) moreinfo. Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Sat, 24 Jul 2010 16:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#575661; Package lintian. (Fri, 30 Jul 2010 06:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Fri, 30 Jul 2010 06:36:04 GMT) Full text and rfc822 format available.

Message #69 received at 575661@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 575661@bugs.debian.org, Osamu Aoki <osamu@debian.org>, bremner@unb.ca
Subject: Re: [checks/manpages] manpage-has-errors for multibyte issue on, col must be skipped?
Date: Fri, 30 Jul 2010 08:32:54 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi

Osamu Aoki wrote:
> David, can you clarify what is your problem and why reopend this.

I noticed the email [1] was only sent to control@b.d.o, but should also
have been sent to 575661@b.d.o.

David: please remember to also send such an email to the correct bug :)

~Niels

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=55;bug=575661

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEAREIAAYFAkxSchUACgkQVCqoiq1Ylqxq3ACgpB1slq4ZGOzaxvZ5avQPxBI1
mBYAoKJHDD+A4RBiMaIDhCiYaN6WX57a
=px/M
-----END PGP SIGNATURE-----




Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Sat, 29 Jan 2011 21:09:08 GMT) Full text and rfc822 format available.

Notification sent to bremner@unb.ca:
Bug acknowledged by developer. (Sat, 29 Jan 2011 21:09:08 GMT) Full text and rfc822 format available.

Message #74 received at 575661-done@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 575661-done@bugs.debian.org
Subject: Cannot be reproduced anymore
Date: Sat, 29 Jan 2011 22:05:40 +0100
Version: 2.4.3

Hey

Bremner reported per IRC that he cannot be reproduced anymore, so I am
closing this one :)

~Niels





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Feb 2011 07:33:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:32:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.